Update user alert preferences
curl --request POST \
--url https://alerts.platform.arb.inc/preferences/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"docket_filings": true,
"case_created": false
}
'import requests
url = "https://alerts.platform.arb.inc/preferences/update"
payload = {
"docket_filings": True,
"case_created": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({docket_filings: true, case_created: false})
};
fetch('https://alerts.platform.arb.inc/preferences/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"Preferences updated successfully"preferences
Update user alert preferences
Updates alert preferences for the authenticated user. Allows users to control which types of notifications they receive, such as alerts for docket filings or case creation events.
POST
/
preferences
/
update
Update user alert preferences
Authorizations
access token
Body
application/json
Response
200 - text/plain
Preferences updated successfully
The response is of type string.
Example:
"Preferences updated successfully"
⌘I